package top.liangwy.read_statistics.common;

import lombok.Data;
import org.apache.ibatis.session.SqlSession;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import top.liangwy.read_statistics.dao.UserMapper;
import top.liangwy.read_statistics.pojo.User;
import top.liangwy.read_statistics.utils.MybatisUtils;

import java.util.List;

/**
 * @author lwy
 */
@Data
public class BaseCommon {
    private static final Logger logger = LoggerFactory.getLogger(BaseCommon.class);

    String getLevel3User(String s) {
        SqlSession sqlSession = MybatisUtils.getSqlSession();
        UserMapper userMapper = sqlSession.getMapper(UserMapper.class);
        List<User> level3User = userMapper.getLevel3user();
        StringBuilder sb = new StringBuilder();
        if("scan".equals(s)){
            for (User user : level3User) {
                sb.append(user.getUserName()).append(",");
            }
        }
        if("wb".equals(s)){
            for (User user : level3User) {
                sb.append(user.getWbNickName()).append(",");
            }
        }
        logger.info(sb.toString());
        return sb.toString();}

    // 微信看一看
    public String scanFree = getLevel3User("scan");
    // 微博
    public String wbFree = getLevel3User("wb");

}
